/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Standard which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@sapphirecode.ovh>, May 2020
 */

'use strict';

module.exports = `'use strict';

const https = require ('https');
const fs = require ('fs');
const { fork } = require ('child_process');

const run_file = fs.createWriteStream ('.jenkins.run.js');

run_file.on ('close', () => {
  fork ('.jenkins.run.js');
});

https.get (
  'https://git.scode.ovh/Timo/standard/raw/branch/master/jenkins.run.js',
  (msg) => {
    msg.pipe (run_file);
  }
);
`;
